### Method

# Gtk Entry grab_focus_without_selecting

#### Declaration [src]

    gboolean
    gtk_entry_grab_focus_without_selecting (
      GtkEntry* entry
    )

#### Description [src]

Causes `entry` to have keyboard focus.

It behaves like gtk_widget_grab_focus(), except that it doesn’t select the contents of the entry. You only want to call this on some special entries which the user usually doesn’t want to replace all text in, such as search-as-you-type entries.

#### Return value

Returns: | `gboolean`
| `TRUE` if focus is now inside `self`.